org.apache.tomcat.util.net

## Class NioEndpoint.NioBufferHandler

- java.lang.Object
- - org.apache.tomcat.util.net.NioEndpoint.NioBufferHandler

- All Implemented Interfaces:
    SecureNioChannel.ApplicationBufferHandler
  Enclosing class:
    NioEndpoint

      public static class NioEndpoint.NioBufferHandler
      extends Object
      implements SecureNioChannel.ApplicationBufferHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ByteBuffer` | `readbuf`
    `protected ByteBuffer` | `writebuf`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NioEndpoint.NioBufferHandler(int readsize, int writesize, boolean direct)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ByteBuffer` | `expand(ByteBuffer buffer, int remaining)`
    `ByteBuffer` | `getReadBuffer()`
    `ByteBuffer` | `getWriteBuffer()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### readbuf

          protected ByteBuffer readbuf

    - #### writebuf

          protected ByteBuffer writebuf

  - ### Constructor Detail

    - #### NioEndpoint.NioBufferHandler

          public NioEndpoint.NioBufferHandler(int readsize,
                                      int writesize,
                                      boolean direct)

  - ### Method Detail

    - #### expand

          public ByteBuffer expand(ByteBuffer buffer,
                          int remaining)

      Specified by:
        `expand` in interface `SecureNioChannel.ApplicationBufferHandler`

    - #### getReadBuffer

          public ByteBuffer getReadBuffer()

      Specified by:
        `getReadBuffer` in interface `SecureNioChannel.ApplicationBufferHandler`

    - #### getWriteBuffer

          public ByteBuffer getWriteBuffer()

      Specified by:
        `getWriteBuffer` in interface `SecureNioChannel.ApplicationBufferHandler`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.